Name: TrustedQSL
Version: 1.11
Release: 1%{?dist}
Summary: TrustedQSL ham-radio applications
Group: Applications/Communications
License: BSD
URL: http://sourceforge.net/projects/trustedqsl/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: TrustedQSL-1.11-icon.patch
Patch1: TrustedQSL-1.11-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tqsllib >= 1.2
BuildRequires: tqsllib-devel
BuildRequires: wxGTK-devel

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI applications tqslcert and tqsl.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b icon
%patch1 -p1 -b gcc43

%build
#again detetction is broken for ssl and tqsl
export OPENSSL=/usr
export TQSLLIB=/usr
%configure --without-openssl --without-tqsllib
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp icons/key48.png %{buildroot}%{_datadir}/pixmaps/TrustedQSL.png
sed -i -e "s/.png//g" tqsl.desktop #> %{_builddir}/tqsl.desktop
sed -i -e "s/.png//g" tqslcert.desktop #> %{_builddir}/tqslcert.desktop
desktop-file-install --vendor="fedora" \
        --dir=%{buildroot}%{_datadir}/applications %{_builddir}/tqsl.desktop
desktop-file-install --vendor="fedora" \
        --dir=%{buildroot}%{_datadir}/applications %{_builddir}/tqslcert.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE

%{_bindir}/tqsl
%{_bindir}/tqslcert
%{_datadir}/TrustedQSL/help/*
%{_datadir}/applications/*tqsl*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Jul 13 2008 Lucian Langa <lucilanga@gnome.org> - 1.11-1
- initial spec file for fedora

